/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  darkMode: "class",
  theme: {
    extend: {
      colors: {
        "white-base": "#eff1f5",
        "white-mantle": "#e6e9ef",
        "white-crust": "#dce0e8",
        "black-base": "#1e1e2e",
        "black-mantle": "#181825",
        "black-crust": "#11111b",
      },
      backgroundImage: {
        "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
        "gradient-conic":
          "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
      },
      gridTemplateRows: {
        8: "repeat(8, minmax(0, 1fr))",
      },
      gridRow: {
        "span-7": "span 7 / span 7",
      },
      gridRowStart: {
        7: "7",
        8: "8",
      },
      gridRowEnd: {
        7: "7",
        8: "8",
        9: "9",
      },
      gridColumn: {
        "span-13": "span 13 / span 13",
      },
      gridColumnEnd: {
        13: "13",
      },
      borderRadius: {
        "4xl": "2rem",
      },
      backgroundSize: {
        300: "300%",
        400: "400%",
        500: "500%",
        600: "600%",
      },
      animation: {
        "bg-scroll": "bgscroll 10s linear infinite",
      },
      keyframes: {
        bgscroll: {
          "0%, 100%": {
            "background-position": "0 50%",
          },
          "50%": {
            "background-position": "100% 50%",
          },
        },
      },
      aspectRatio: {
        square: "auto 1 / 1",
      },
      transitionProperty: {
        location: "height, width, top, left, right, bottom",
      },
    },
  },
  plugins: [require("tailwindcss-animate")],
};
